package com.yonge.cooleshow.auth.service;

import com.yonge.cooleshow.auth.api.entity.SysUserLogin;
import com.yonge.toolset.mybatis.service.BaseService;

public interface SysUserLoginService extends BaseService<Long, SysUserLogin> {

	/**
	 * 根据用户查询登录信息
	 * @param userId
	 * @return
	 */
	SysUserLogin findLoginByUserId(Long userId);

	/**
	 * 自动解锁
	 * @return
	 */
	public boolean autoUnlock();
}